%global         upstream_name   surround
%global         vimfiles        %{_datadir}/vim/vimfiles
%global         nvimfiles       %{_datadir}/nvim/runtime
 
Name:           vim-%upstream_name
Version:        2.2
Release:        2%{?dist}
Summary:        Delete/change/add parentheses/quotes/XML-tags/much more with ease
License:        Vim AND LGPL-2.1-or-later AND MIT AND GPL-1.0-only AND (GPL-2.0-only OR Vim) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND GPL-2.0-or-later AND GPL-3.0-or-later AND OPUBL-1.0 AND Apache-2.0 WITH Swift-exception
 
URL:            https://github.com/tpope/vim-surround
Source0:        https://github.com/tpope/%name/archive/v%version/%name-%version.tar.gz
BuildArch:      noarch
 
Requires:       (vim-enhanced or vim-X11)
 
 
%define desc(n:) \
Surround.vim is all about "surroundings": parentheses, brackets, quotes, XML \
tags, and more.  The plugin provides mappings to easily delete, change and add \
such surroundings in pairs. \
\
This plugin is very powerful for HTML and XML editing, a niche which currently \
seems underfilled in Vim land.  (As opposed to HTML/XML *inserting*, for which \
many plugins are available).  Adding, changing, and removing pairs of tags \
simultaneously is a breeze.
 
 
%description
%desc -n Vim
 
 
%package -n neovim-%upstream_name
Requires:       neovim
Summary:        Delete/change/add parentheses/quotes/XML-tags/much more with ease
 
%description -n neovim-%upstream_name
%desc -n NeoVim
 
 
%prep
%autosetup -p1 -n %name-%version
 
%install
for dest in %vimfiles %nvimfiles; do
mkdir -p %buildroot"$dest"
cp -r doc %buildroot"$dest"
cp -r plugin %buildroot"$dest"
done
 
 
%define surround_files(d:) \
%doc %{-d*}/doc/* \
%{-d*}/plugin/* \
 
%files
%surround_files -d %vimfiles
 
%files -n neovim-%upstream_name
%surround_files -d %nvimfiles

%changelog
* Tue Sep 24 2024 Dick Marinus <dick@mrns.nl> - 2.2-2
- Update license

* Fri Dec 23 2022 Dick Marinus <dick@mrns.nl> - 2.2-1
- Update spec file

* Thu Sep 23 2021 Magnus Morton <magnus@morton.ai> - 2.1-1
- Initial package.
